Name:           gweled
Version:        0.6
Release:        1
Epoch:          0
Summary:        Swapping gem game.

Group:          Amusements/Games
License:        GPL
URL:            http://sebdelestaing.free.fr/gweled/
Source0:        http://sebdelestaing.free.fr/gweled/Release/gweled-%{version}.tar.gz
Patch0:		%{name}-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel >= 0:2.0.0
BuildRequires:  librsvg2-devel >= 0:2.0.0
BuildRequires:  libcroco-devel >= 0:0.3.0
BuildRequires:  desktop-file-utils 

%description
Gweled is a Gnome version of a popular PalmOS/Windows/Java game called
"Bejeweled" or "Diamond Mine". The aim of the game is to make alignment of 3 or
more gems, both vertically or horizontally by swapping adjacent gems. The game
ends when there are no possible moves left.


%prep
%setup -q
%patch0  -p0 -b .patch0 

%build
%configure
echo "Encoding=UTF-8" >> gweled.desktop
mv gweled.desktop gweled.desktop.old
iconv --from-code=ISO-8859-1 --to-code=UTF-8 <gweled.desktop.old > gweled.desktop
make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora --delete-original 	\
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
mkdir $RPM_BUILD_ROOT%{_localstatedir}/lib/
mv $RPM_BUILD_ROOT%{_localstatedir}/games/ $RPM_BUILD_ROOT%{_localstatedir}/lib/games/


%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%attr(2551,root,games) %{_bindir}/gweled
%config(noreplace) %attr(0664,games,games) %{_localstatedir}/lib/games/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gweled/

%changelog
* Tue Aug 31 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.6-1
- Update to 0.6
- Remove highscore workaround
- Add Makefile patch
- Don't overwrite highscores during update

* Tue Aug 31 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.5-0.fdr.1
- Update to 0.5
- Add highscorce workaround

* Thu Jan 15 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.4-0.fdr.2
- Own dirs correctly
- BuildRequires desktop-file-utils 

* Fri Jan 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.4-0.fdr.1
- Update to 0.4
- Correct permissions so highscores work
- Add UTF-8 to desktop file

* Thu Nov 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3-0.fdr.1
- Initial RPM release.
